#!/bin/sh
-
-DIST=/usr/dist
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
-
+cd /usr || exit 1
+tar cf src.tar src || exit 1
cd /usr/src || exit 1
-mkdir -p $DIST
-#echo "Making src.tar"
-#tar cf /dist/src.tar /usr/src || exit 1
make world install || exit 1
-
cd tools || exit 1
make hdboot
-
-#rm -rf /usr/src
-#echo "Making bin.tar"
-#tar cf /dist/bin.tar /
-
+cd /usr || exit 1
+rm -rf /usr/src || exit 1
exit 0
# Install a new image on the root device.
if [ ! -d $rootdir/boot/image ]
then
- # /boot/image is not yet a directory! Fix it.
+ /boot/image is not yet a directory! Fix it.
su root -c \
"exec mv $rootdir/boot/image /M"
install -d $rootdir/boot/image